Forums

Unfortunately no one can be told what FluxBB is - you have to see it for yourself.

You are not logged in.

#1 2018-06-14 19:55:02

Cotopaxi42
New member
Registered: 2018-06-14
Posts: 3

Bug with PHP 7.0

Hi,
I updated the PHP version of my website from 5.6 to 7.0 today and I have a bug with my fluxbb forum (last version 1.5.10). When I go to the forum, I get this error message : This PHP environment doesn't have MySQL support built in. MySQL support is required if you want to use a MySQL database to run this forum. Consult the PHP documentation for further assistance.

What can I do to use the fluxbb forum with PHP 7.0 ?

Thanks!

Offline

#2 2018-06-15 05:34:07

Visman
Member
From: Siberia
Registered: 2010-07-10
Posts: 1,177
Website

Re: Bug with PHP 7.0

Try to replace

$db_type = 'mysql';

to

$db_type = 'mysqli';

OR

$db_type = 'mysql_innodb';

to

$db_type = 'mysqli_innodb';

in config.php.

Offline

#3 2018-06-15 10:00:45

Cotopaxi42
New member
Registered: 2018-06-14
Posts: 3

Re: Bug with PHP 7.0

Thanks, it worked! smile

Offline

Board footer

Powered by FluxBB